# List offers

The List Offers endpoint lets a partner retrieve all offers that have been generated for them, so they can review what options were presented and where each offer is in its lifecycle (e.g. received, confirmed, or rejected). It returns the offers in pages and allows narrowing the list down (for example by status or reference).

## GET /api/partners/{partner\_id}/offers

> List offers

```json
{"openapi":"3.0.0","info":{"title":"Offers","version":"1.0.0"},"tags":[{"name":"List offers","description":"The List Offers endpoint lets a partner retrieve all offers that have been generated for them, so they can review  what options were presented and where each offer is in its lifecycle (e.g. received, confirmed, or rejected). It  returns the offers in pages and allows narrowing the list down (for example by status or reference).\n"}],"servers":[{"url":"https://api.xone.xcover.com"}],"security":[{"PartnerPrivateAPI":["offers:view"]}],"components":{"securitySchemes":{"PartnerPrivateAPI":{"type":"oauth2","description":"# XONE API Access Token\n\nTo get started with the XONE API, you'll first need to obtain an access token. \nThis token acts as a digital key, granting your application permission to make API calls.\n\nThis process uses the **OAuth 2.0 Client Credentials Grant flow**. You'll use your unique client ID and client secret to request a token, which you then include in subsequent API requests.\n\n## 🔑 Authentication Steps\n\n* **Request Token:** Send a \"Retrieve Token\" request to the XONE authorization server's token endpoint.\n* **Include Credentials:** In the request body, provide your `client_id` and `client_secret` as a JSON object.\n* **Use Token:** The server will respond with an `access_token` that you can now use to authenticate your API calls by including it in the **Authorization** header as a `Bearer` token.\n","flows":{"clientCredentials":{"tokenUrl":"https://api.xone.xcover.com/api/oauth/token","scopes":{"quotes:view":"Read-only access to view quote details.","quotes:update":"Permission to opt-out quotes.","offers:view":"Read-only access to view offer details.","offers:update":"Permission to opt-out existing offers.","offers:delete":"Permission to cancel an existing booking of an offer.","bookings:create":"Ability to create new bookings for quotes.","bookings:view":"Read-only access to view booking details.","bookings:update":"Permission to modify existing bookings.","bookings:delete":"Permission to cancel bookings."}}}}}},"paths":{"/api/partners/{partner_id}/offers":{"get":{"summary":"List offers","tags":["List offers"],"responses":{"200":{"description":"200 OK","headers":{"Date":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"vary":{"schema":{"type":"string"}},"Content-Encoding":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"string"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"cf-cache-status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"string"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"currency":{"type":"string"},"products":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"product_config_id":{"type":"string"},"type":{"nullable":true},"schema_url":{"nullable":true},"details":{"type":"object","properties":{"policy_version_id":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"finance":{"type":"object","properties":{"price":{"type":"object","properties":{"total_amount":{"type":"number"},"total_amount_without_tax":{"type":"number"},"total_amount_formatted":{"type":"string"},"total_amount_without_tax_formatted":{"type":"string"}}},"tax":{"type":"object","properties":{"total_amount":{"type":"integer"},"total_amount_formatted":{"type":"string"}}},"surcharge":{"type":"object","properties":{"total_amount":{"nullable":true},"total_amount_formatted":{"nullable":true}}},"commission":{"type":"object","properties":{"total_amount":{"type":"number"},"total_amount_formatted":{"type":"string"}}}}},"pds_url":{"type":"string","format":"uri"},"files":{"type":"array","items":{}},"extra_fields":{"type":"object","properties":{"seller_entity":{"type":"string"},"event_datetime":{"type":"string","format":"date-time"},"policy_start_date":{"type":"string","format":"date-time"},"customer_id":{"type":"string"},"event_id":{"nullable":true},"esimid":{"type":"string"},"esim_eligible":{"type":"boolean"},"policy_start_calculated":{"type":"string","format":"date-time"},"same_day":{"type":"boolean"},"price_per_ticket":{"type":"number"}}},"experiment":{"type":"array","items":{}},"benefits":{"type":"array","items":{"type":"object","properties":{"benefit_content_id":{"type":"string"},"description":{"type":"string"},"limit":{"type":"integer"},"limit_policy_currency":{"type":"integer"},"limit_formatted":{"type":"string"},"limit_policy_currency_formatted":{"type":"string"}}}}}}}}},"content":{"type":"object","properties":{"schema_version":{"type":"string","format":"uri"},"locale":{"type":"string"}}},"provider_reference":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"opted_out_at":{"nullable":true}}}},"links":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"nullable":true},"next":{"type":"string","format":"uri"}}},"meta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer"},"last_page":{"type":"integer"},"links":{"type":"array","items":{"type":"object","properties":{"url":{"nullable":true},"label":{"type":"string"},"active":{"type":"boolean"}}}},"path":{"type":"string","format":"uri"},"per_page":{"type":"integer"},"to":{"type":"integer"},"total":{"type":"integer"}}}}}}}},"401":{"description":"401 Unauthorized","headers":{"Date":{"deprecated":false,"schema":{}},"Content-Length":{"deprecated":false,"schema":{}},"Connection":{"deprecated":false,"schema":{}},"Cache-Control":{"deprecated":false,"schema":{}},"Vary":{"deprecated":false,"schema":{}},"vary":{"deprecated":false,"schema":{}},"Content-Encoding":{"deprecated":false,"schema":{}},"X-Content-Type-Options":{"deprecated":false,"schema":{}},"X-XSS-Protection":{"deprecated":false,"schema":{}},"Strict-Transport-Security":{"deprecated":false,"schema":{}},"cf-cache-status":{"deprecated":false,"schema":{}},"Server":{"deprecated":false,"schema":{}},"CF-RAY":{"deprecated":false,"schema":{}},"Server-Timing":{"deprecated":false,"schema":{}},"Cf-Team":{"deprecated":false,"schema":{}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}}}}}}
```
